TelepathyQt4: ChannelTypeRoomListInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# ChannelTypeRoomListInterface Class Reference
[Channel proxies]

`#include <TelepathyQt4/Channel>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply< bool > GetListingRooms ()
- QDBusPendingReply ListRooms ()
- QDBusPendingReply StopListing ()

## Signals

- void GotRooms (const Tp::RoomInfoList &rooms)
- void ListingRooms (bool listing)

## Public Member Functions

- ChannelTypeRoomListInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelTypeRoomListInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- ChannelTypeRoomListInterface (Tp::DBusProxy *proxy)
- ChannelTypeRoomListInterface (const Tp::Client::ChannelInterface &mainInterface)
- ChannelTypeRoomListInterface (const Tp::Client::ChannelInterface &mainInterface, QObject *parent)
- QString Server () const TELEPATHY_GNUC_DEPRECATED

## Static Public Member Functions

- static const char * staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Properties

- QString Server

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Channel.Type.RoomList."

## Constructor & Destructor Documentation

ChannelTypeRoomListInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ChannelTypeRoomListInterface associated with the given object on the session bus.

Parameters:

  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ChannelTypeRoomListInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Creates a ChannelTypeRoomListInterface associated with the given object on the given bus.

Parameters:

  | connection | The bus via which the object can be reached.
  | busName | Name of the service the object is on.
  | objectPath | Path to the object on the service.
  | parent | Passed to the parent class constructor.

ChannelTypeRoomListInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ChannelTypeRoomListInterface associated with the same object as the given proxy.

Parameters:

  | proxy | The proxy to use. It will also be the QObject::parent() for this object.

ChannelTypeRoomListInterface | ( | const Tp::Client::ChannelInterface & | mainInterface | ) | `[explicit]`

Creates a ChannelTypeRoomListInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  | mainInterface | The proxy to use.

ChannelTypeRoomListInterface | ( | const Tp::Client::ChannelInterface & | mainInterface,
|  | QObject * | parent |
| ) |  |  |

Creates a ChannelTypeRoomListInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  | mainInterface | The proxy to use.
  | parent | Passed to the parent class constructor.

## Member Function Documentation

static const char* staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Channel.Type.RoomList", which this class represents.

Returns:
  The D-Bus interface name.

QString Server | ( |  | ) | const`[inline]`

Getter for the remote object property "Server".

Don't use this: it blocks the main loop.

Returns:
  The value of the property, or a default-constructed value if the property is not readable.

QDBusPendingReply<bool> GetListingRooms | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "GetListingRooms" on the remote object.

Check to see if there is already a room list request in progress on this channel.

Returns:

A boolean indicating if room listing is in progress

QDBusPendingReply ListRooms | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "ListRooms" on the remote object.

Request the list of rooms from the server. The ListingRooms (True) signal should be emitted when this request is being processed, GotRooms when any room information is received, and ListingRooms (False) when the request is complete.

QDBusPendingReply StopListing | ( |  | ) | `[inline, slot]`

Begins a call to the D-Bus method "StopListing" on the remote object.

Stop the room listing if it's in progress, but don't close the channel. The ListingRooms (False) signal should be emitted when the listing stops.

void GotRooms | ( | const Tp::RoomInfoList & | rooms | ) | `[signal]`

Represents the signal "GotRooms" on the remote object.

Emitted when information about rooms on the server becomes available. The array contains the room handle (as can be passed to the <tp:dbus-ref namespace="org.freedesktop.Telepathy.Connection">RequestChannel</tp:dbus-ref> method with HANDLE_TYPE_ROOM), the channel type, and a dictionary containing further information about the room as available. The following well-known keys and types are recommended for use where appropriate:

handle-name (s)

  The identifier of the room (as would be returned by <tp:dbus-ref namespace="org.freedesktop.Telepathy.Connection">InspectHandles</tp:dbus-ref>)

name (s)

  The human-readable name of the room if different from the handle

description (s)

  A description of the room's overall purpose

subject (s)

  The current subject of conversation in the room

members (u)

  The number of members in the room

password (b)

  True if the room requires a password to enter

invite-only (b)
  True if you cannot join the room, but must be invited

Parameters:

  | rooms | An array of structs containing: an integer room handle a string representing the D-Bus interface name of the channel type a dictionary mapping string keys to variant boxed information

void ListingRooms | ( | bool | listing | ) | `[signal]`

Represents the signal "ListingRooms" on the remote object.

Emitted to indicate whether or not room listing request is currently in progress.

Parameters:

  | listing | A boolean indicating if room listing is in progress

virtual void invalidate | ( | Tp::DBusProxy * | ,
|  | const QString & | ,
|  | const QString & |  |
| ) |  |  | `[protected, virtual]`

## Property Documentation

QString Server`[read]`

Represents property "Server" on the remote object.

For protocols with a concept of chatrooms on multiple servers with different DNS names (like XMPP), the DNS name of the server whose rooms are listed by this channel, e.g. "conference.jabber.org". Otherwise, the empty string. This property cannot change during the lifetime of the channel.